Data Fields

# TileLayoutRegisters Struct Reference

Additional modifiers for items in sprite layouts. More...

`#include <newgrf_commons.h>`

## Data Fields
TileLayoutFlags | flags
| Flags defining which members are valid and to be used.
uint8 | dodraw
| Register deciding whether the sprite shall be drawn at all. Non-zero means drawing.
uint8 | sprite
| Register specifying a signed offset for the sprite.
uint8 | palette
| Register specifying a signed offset for the palette.
uint16 | max_sprite_offset
| Maximum offset to add to the sprite. (limited by size of the spriteset).
uint16 | max_palette_offset
| Maximum offset to add to the palette. (limited by size of the spriteset).
union {
uint8 parent [3]
| Registers for signed offsets for the bounding box position of parent sprites.
uint8 child [2]
| Registers for signed offsets for the position of child sprites.
} | delta
uint8 | sprite_var10
| Value for variable 10 when resolving the sprite.
uint8 | palette_var10
| Value for variable 10 when resolving the palette.

## Detailed Description

Additional modifiers for items in sprite layouts.

Definition at line 93 of file newgrf_commons.h.

The documentation for this struct was generated from the following file:

- src/newgrf_commons.h